//获取有还原信息的上个月份
function getperyMonth(dYear,dMonth)
{
	try
	{
		var tmpstr=pointArray[0].Date;
	}
	catch(e)
	{
		return "";	
	}
  var i=pointArray.length-1;
  while(i>-1)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()==dYear)
   {
	   if(testdate.getMonth()<dMonth)
	   {
			 return testdate.getMonth();
	   }
   }
   i--;
 }
 return false;
}
//获取有还原信息的下个月份
function getNextMonth(_year,_month)
{
	try
	{
		var tmpstr=pointArray[0].Date;
	}
	catch(e)
	{
		return "";	
	}
  var i=0;
  while(i<pointArray.length)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()==_year)
   {
	   if(testdate.getMonth()>_month)
	   {
			 return testdate.getMonth();
	   }
   }
   i++;
 }
 return false;
}
//获取当月的最后还原信息的天
function getlastDate(_year,_month)
{
	
  var i=pointArray.length-1;
  while(i>-1)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()==_year)
   {
	   if(testdate.getMonth()==_month)
	   {
			 return testdate.getDate();
	   }
   }
   i--;
 }
 return false;
}
//获取当月的第一还原信息的天
function getfirstDate(_year,_month)
{
	
  var i=0;
  while(i<pointArray.length)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()==_year)
   {
	   if(testdate.getMonth()==_month)
	   {
			 return testdate.getDate();
	   }
   }
   i++;
 }
 return false;
}
//获取有还原信息的上一年
function getperYear(_year)
{
  var i=pointArray.length-1;
  while(i>-1)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()<_year)
   {
	   
	 return testdate.getFullYear();
	  
   }
   i--;
 }
 return false;
}
//获取有还原信息的下一年
function getNextyear(_year)
{
	 var i=0;
  while(i<pointArray.length)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()>_year)
   {
	 
			 return testdate.getFullYear();
	  
   }
   i++;
 }
 return false;
}
//获取有还原信息的最后一个月
function getlsatmonth(_year)
{
	 var i=pointArray.length-1;
  while(i>-1)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()==_year)
   {
	  
			 return testdate.getMonth();
	  
   }
   i--;
 }
 return false;
}
//获取有还原信息的第一个月
function getfirstmonth(_year)
{
	var i=0;
  while(i<pointArray.length)
  {
    var newmydate=pointArray[i].Date;
    var testdate = usaDateFormat(newmydate);
   if(testdate.getFullYear()==_year)
   {
	 return testdate.getMonth();
   }
   i++;
 }
 return false;
}


